### Function

# Gimp cmyka_get_uchar

#### Declaration [src]

    void
    gimp_cmyka_get_uchar (
      const GimpCMYK* cmyka,
      guchar* cyan,
      guchar* magenta,
      guchar* yellow,
      guchar* black,
      guchar* alpha
    )

#### Description [src]

Retrieve individual channel values from a `GimpCMYK` structure. Channel values are pointers to unsigned chars in the range 0 to 255.

#### Parameters

`cmyka`

  Type: `GimpCMYK`

  A `GimpCMYK` structure which will hold the specified CMYKA value.

  The data is owned by the caller of the function.

`cyan`

  Type: `guchar*`

  The Cyan channel of the CMYK value.

  The argument will be set by the function.
  The argument can be `NULL`.

`magenta`

  Type: `guchar*`

  The Magenta channel.

  The argument will be set by the function.
  The argument can be `NULL`.

`yellow`

  Type: `guchar*`

  The Yellow channel.

  The argument will be set by the function.
  The argument can be `NULL`.

`black`

  Type: `guchar*`

  The blacK channel.

  The argument will be set by the function.
  The argument can be `NULL`.

`alpha`

  Type: `guchar*`

  The Alpha channel.

  The argument will be set by the function.
  The argument can be `NULL`.